Name:		virtual_hdd_led
Version:	0.5
Release:	9.1
Summary:	Virtual HDD LED
Url:		http://kde-apps.org/content/show.php?action=content&content=12657
Group:		Productivity/Other
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-locale-%{version}.tar.bz2
Patch0:		%{name}-%{version}-tooltip.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:       %{name}-lang = %{version}

BuildRequires:  acl arts arts-devel attr autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat fam fam-devel file filesystem findutils flex fontconfig fontconfig-devel freeglut freeglut-devel gawk gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel gpm grep groff gzip info less libacl libart_lgpl libart_lgpl-devel libattr libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg-devel libmng libmng-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools openssl openssl-devel pam patch pcre pcre-devel perl popt procps psmisc python rcs readline rpm sed strace tar texinfo unzip util-linux zlib zlib-devel pkgconfig

BuildRequires:  cmake

%if 0%{?suse_version} == 930 || 0%{?suse_version} == 1000
BuildRequires: update-desktop-files
%endif

%if 0%{?fedora_version} == 9
BuildRequires:  gcc gcc-c++
%else
BuildRequires:  gcc gcc-c++ libgcc
%endif

%if 0%{?suse_version}
BuildRequires: qt-devel >= 4.1 libkde4-devel kdebase4-workspace-devel >= 4.3 kdebase4-workspace >= 4.3
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
BuildRequires: qt4-devel >= 4.1
%endif

%if 0%{?fedora_version}
BuildRequires:  kdelibs4-devel kdebase-workspace-devel >= 4.2
%endif


%description
This applet shows the activity and the current status of the selected harddisk.


%if 0%{?suse_version}
%lang_package
%else
%package lang
Summary:        Languages for package %{name}
Group:          System/Localization
Requires:       %{name} = %{version}
Provides:       %{name}-lang-all = %{version}

%description lang
Provides translations to the package %{name}
%endif


%prep
%setup -n %{name}-%{version} -b 1
%if 0%{?suse_version} <= 1120
%patch0
%endif

%build
%if 0%{?suse_version}
%cmake_kde4 -d build
%make_jobs
%else
%cmake_kde4
%endif

cd $RPM_BUILD_DIR/%{name}-locale-%{version}
%if 0%{?suse_version}
%cmake_kde4 -d build
%make_jobs
%else
%cmake_kde4
%endif

%install
%if 0%{?suse_version}
pushd build
%endif
%__make DESTDIR=%{buildroot} install
%if 0%{?suse_version}
popd
%endif


cd $RPM_BUILD_DIR/%{name}-locale-%{version}
%if 0%{?suse_version}
pushd build
%endif
%__make DESTDIR=%{buildroot} install
%if 0%{?suse_version}
popd
%endif
cd $RPM_BUILD_DIR/%{name}-%{version}
%find_lang plasma_applet_virtual_hdd_led %{name}.lang


%clean
rm -rf %{buildroot}

%files lang -f %{name}.lang
%defattr(-,root,root)
%dir %{_datadir}/locale/x-test
%dir %{_datadir}/locale/x-test/LC_MESSAGES

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_libdir}/kde4/plasma_applet_virtual_hdd_led.so
%{_datadir}/icons/hicolor/scalable/devices/virtual_hdd_led-idle.svgz
%{_datadir}/icons/hicolor/scalable/devices/virtual_hdd_led-read.svgz
%{_datadir}/icons/hicolor/scalable/devices/virtual_hdd_led-readwrite.svgz
%{_datadir}/icons/hicolor/scalable/devices/virtual_hdd_led-unknown.svgz
%{_datadir}/icons/hicolor/scalable/devices/virtual_hdd_led-write.svgz
%{_datadir}/kde4/services/plasma-applet-virtual_hdd_led.desktop

%changelog
* Sun Jun 27 2010 Carsten Schoene <cs@linux-administrator.com> - 0.5-2
- added translations to package

* Mon Jun 21 2010 Carsten Schoene <cs@linux-administrator.com> - 0.5-1
- initial build
